
QGIS Application - Feature request #1516

qgis 1.0.0 does not build with CXXFLAGS="-Werror=format-security"

2009-01-27 05:52 AM - fundawang -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Build/Install

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11576

Description

-Werror=format-security is used to detect format string of functions like printf(), QDebug(), to ensure that the format string is plain string

rather than unknown variable. So Mandriva enables it by default in 2009.1.

There are some insecure format strings in qgis, which will report errors when using such a compiler flag.

Please consider merging this patch:

http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/qgis/current/SOURCES/qgis_1.0.0-fix-str-fmt.patch

Associated revisions

Revision c2e6c354 - 2009-02-08 08:18 PM - Jürgen Fischer

merge fixes from trunk:

r10117: fix #1532

r10116: skip labels with size<=0 - otherwise the size is ignored d

r10094: fix #1523

r10084: fix #1516

r10078: add -Wformat-security to PEDANTIC

r10073: update desktop integration in debian package

r10068: fix comparision

r9943: fix postgres <8.3 support

r9916: speed up QgsRubberBand::setToGeometry()

r9914: update trac link in about box

r9908: apply patch #1447 from smizuno (thanks!)

r9894+9895: update debian packaging

r9880: update german translation

git-svn-id: http://svn.osgeo.org/qgis/branches/Version-1_0@10136 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-02-01 08:59 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

#2 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
